import { connect } from 'umi';
import CustomerInfoComponent from '../../../components/CommonElementEvent/CustomerInfo';

function CustomerInfo({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }

  const customerInfoProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <CustomerInfoComponent {...customerInfoProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(CustomerInfo);
